# class Gtk::ListStore

### Public Class Methods

new(*columns) click to toggle source

    # File lib/gtk3/list-store.rb, line 20
    def initialize(*columns)
      if columns.empty?
        raise ArgumentError, "No column type is specified"
      end
      initialize_raw(columns)
    end

Also aliased as: initialize_raw

### Public Instance Methods

append() click to toggle source

    # File lib/gtk3/list-store.rb, line 28
    def append
      iter = append_raw
      setup_iter(iter)
      iter
    end

Also aliased as: append_raw
append_raw()
Alias for: append
initialize_raw(*columns)
Alias for: new
insert(index, values=nil) click to toggle source

    # File lib/gtk3/list-store.rb, line 42
    def insert(index, values=nil)
      iter = insert_raw(index)
      setup_iter(iter)
      set_values(iter, values) if values
      iter
    end

Also aliased as: insert_raw
insert_after(index) click to toggle source

    # File lib/gtk3/list-store.rb, line 57
    def insert_after(index)
      iter = insert_after_raw(index)
      setup_iter(iter)
      iter
    end

Also aliased as: insert_after_raw
insert_after_raw(index)
Alias for: insert_after
insert_before(index) click to toggle source

    # File lib/gtk3/list-store.rb, line 50
    def insert_before(index)
      iter = insert_before_raw(index)
      setup_iter(iter)
      iter
    end

Also aliased as: insert_before_raw
insert_before_raw(index)
Alias for: insert_before
insert_raw(index, values=nil)
Alias for: insert
prepend() click to toggle source

    # File lib/gtk3/list-store.rb, line 35
    def prepend
      iter = prepend_raw
      setup_iter(iter)
      iter
    end

Also aliased as: prepend_raw
prepend_raw()
Alias for: prepend